ALTER TABLE `sys_workflow` ADD `titleField` varchar(30) NOT NULL AFTER `name`;
ALTER TABLE `sys_workflow` ADD `contentField` text NOT NULL AFTER `titleField`;
ALTER TABLE `sys_workflowaction` ADD `method` varchar(50) NOT NULL AFTER `action`;
ALTER TABLE `sys_workflowlabel` ADD `action` varchar(30) NOT NULL DEFAULT 'browse' after `module`;
ALTER TABLE `sys_workflowrelation` ADD `actionCodes` text NOT NULL AFTER `actions`;
ALTER TABLE `sys_workflowrelation` ADD `buildin` enum('0', '1') NOT NULL DEFAULT '0' AFTER `actionCodes`;
ALTER TABLE `sys_issue` ADD `deleted` enum('0', '1') NOT NULL DEFAULT '0';
ALTER TABLE `sys_issue` CHANGE `addedBy` `createdBy` char(30) NOT NULL; 
ALTER TABLE `sys_issue` CHANGE `addedDate` `createdDate` datetime NOT NULL; 
ALTER TABLE `cash_voucherdetail` CHANGE `trade` `trade` text NOT NULL; 
ALTER TABLE `cash_voucherdetail` CHANGE `invoice` `invoice` text NOT NULL; 

UPDATE `sys_file` AS t1, `sys_workflow` AS t2 SET t1.extra = 'file' WHERE t1.objectType = t2.module AND t1.extra = '' AND t2.type = 'flow' AND t2.buildin = '0';

UPDATE `sys_workflowaction` SET `method` = `action` WHERE `action` IN ('browse', 'create', 'batchcreate', 'edit', 'view', 'delete', 'link', 'unlink', 'export', 'exporttemplate', 'import', 'showimport', 'report');
UPDATE `sys_workflowaction` SET `method` = 'operate' WHERE `method` = '';

INSERT INTO `sys_workflowdatasource` (`type`,`name`,`code`,`datasource`,`buildin`) VALUES ('lang','名单状态','leadsStatus','leadsStatus',1);
